Bug 64386 - KDE Anti-aliasing only works for kcalc
KDE Anti-aliasing only works for kcalc
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdeutils (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-03 09:20 EDT by Bryan Wright
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-03 09:20:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Wright 2002-05-03 09:20:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.14-5.0 i686)

Description of problem:
Setting QT_XFT = true turns on anti-aliasing for kcalc's display font, as it
should.  No other
kde applications (that I've found so far) pay any attention to QT_XFT, though. 
This includes
kedt, kate,  konsole, etc.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. setenv QT_XFT true
2. type "kcalc"
3. click "Configure" -> "Display Font".  Fonts are anti-aliased. close kcalc.
4. type "kedit".
5.  click "Settings" -> "Configure Kedit" -> "Font".  Fonts are NOT
anti-aliased.
	

Additional info:

# rpm -q kdeutils
kdeutils-2.2.2-1
# rpm -q kdebase
kdebase-2.2.2-1
# rpm -q qt
qt-2.3.1-5
# kcalc -v
Qt: 2.3.1
KDE: 2.2.2-2
KCalc: 1.3.0
# kedit -v
Qt: 2.3.1
KDE: 2.2.2-2
KEdit: 1.3
Comment 1 Bernhard Rosenkraenzer 2002-05-16 11:17:49 EDT
Not reproducable on a 7.3 system.

Note You need to log in before you can comment on or make changes to this bug.